<%@ page import="hello.ejb.*,javax.ejb.*, javax.naming.*, javax.rmi.PortableRemoteObject, java.rmi.RemoteException" %>
<%!
   private Hello hello = null;

   public void jspInit() { 
      try {
         InitialContext ic = new InitialContext();
         Object objRef = ic.lookup("java:comp/env/ejb/hello");
         HelloHome home = (HelloHome)PortableRemoteObject.narrow(objRef, HelloHome.class);
         hello = home.create();
      } catch (RemoteException ex) {
            System.out.println("Problema de comunicacao com o servidor."+ ex.getMessage());
      } catch (CreateException ex) {
            System.out.println("Nao foi posivel criar o componente remoto."+ ex.getMessage());
      } catch (NamingException ex) {
            System.out.println("Nao foi encontrado nenhum objeto com o nome 'comp/env/ejb/hello' "+ ex.getMessage());
      } 
   }

   public void jspDestroy() {    
         hello = null;
   }
%>

<html>
<head>
    <title>Hello EJB</title>
</head>

<body>

<h1>Hello EJB</h1>
<hr>
<p>Digite sua mensagem:</p>
<form method="get">
<input type="text" name="mensagem" size="25">
<p>
<input type="submit" value="Submit">
<input type="reset" value="Reset">
</form>

<%
    String msg = request.getParameter("mensagem");
    if ( msg != null && msg.length() > 0 ) {
%>
        <p>A ltima mensagem deixada foi "<%= hello.getMensagem() %>".
        <% hello.setMensagem(msg); %>
        <br>A sua mensagem: "<%= msg %>" foi gravada!
<%
    }
%>

</body>
</html>
